Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PersonApprovalList/FrmPersonAppList.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PersonApprovalList/FrmPersonAppList.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PersonApprovalList/FrmPersonAppList.cs	(revision 83)
@@ -0,0 +1,270 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Collections;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using System.Windows.Forms;
+
+using log4net;
+using log4net.Appender;
+using log4net.Repository.Hierarchy;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.DB.Core;
+using ProcessManagement.Forms.Master;
+using ProcessManagement.Forms.SubForms;
+using ProcessManagement.Forms.ControlsAction;
+using ProcessManagement.Forms.CustomControls;
+
+//*---------------------------- 担当者承認申請一覧画面 ------------------------*
+//  2017/03/04  Ver1.0.0.0      Create Source           
+//
+//
+//
+//*----------------------------------------------------------------------------*
+namespace ProcessManagement.Forms.DataEntry
+{
+    public partial class FrmPersonApprList : Form
+    {
+        #region ログ使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        #region 出勤日報グリッドカラム
+        /// <summary>
+        /// 出勤日報グリッドカラム
+        /// </summary>
+        private enum GridColumn01
+        {
+            DispDay = 0,
+            AttendanceDate,
+            WeekString,
+            ConstructionCode,
+            ConstructionName,
+            OverTimes,
+            Comment,
+        }
+        #endregion
+
+        #region 通勤交通費グリッドカラム
+        /// <summary>
+        /// 通勤交通費グリッドカラム
+        /// </summary>
+        private enum GridColumn02
+        {
+            DispDay = 0,
+            AttendanceDate,
+            StartNumber,
+            CompNumber,
+            TotalDistance,
+            OfficeGo,
+            OfficeOut,
+            TrancePayGo,
+            TrancePayOut,
+            WareHouse,
+        }
+        #endregion
+
+        #region 表示コントロール
+        /// <summary>
+        /// 表示コントロール
+        /// </summary>
+        private enum DspCtrlName
+        {
+            /// <summary>
+            /// 部署名
+            /// </summary>
+            DepartmentName = 0,
+            /// <summary>
+            /// 担当者名
+            /// </summary>
+            PersonName,
+            /// <summary>
+            /// 日報年月
+            /// </summary>
+            ConstructionYear,
+            /// <summary>
+            /// 日報開始日
+            /// </summary>
+            ConstructionDayFrom,
+            /// <summary>
+            /// 日報終了日
+            /// </summary>
+            ConstructionDayTo,
+            /// <summary>
+            /// 出勤日数
+            /// </summary>
+            WorkingDays,
+            /// <summary>
+            /// 残業時間
+            /// </summary>
+            Overtime,
+
+            KmTodayTotal,
+            OfficeTodayCnt01,
+            OfficeTodayCnt02,
+            TrancePayCnt01,
+            TrancePayCnt02,
+            WarehouseTodayCnt01,
+            KmMonthTotal01,
+            KmMonthTotal02,
+            KmMonthTotal03,
+            UnitPrice01,
+            UnitPrice02,
+            UnitPrice03,
+            UnitPrice04,
+            MonthCnt01,
+            MonthCnt02,
+            MonthCnt03,
+            MonthTotal01,
+            MonthTotal02,
+            MonthTotal03,
+            MonthTotal04,
+            MonthTotal05,
+        }
+        #endregion
+
+        #endregion
+
+        #region 変数
+
+        /// <summary>
+        /// 初期時フラグ
+        /// </summary>
+        private bool m_initDataLoad = true;
+
+        /// <summary>
+        /// 起動フラグ
+        /// </summary>
+        private int m_ExecuteFlg = 0;
+
+        /// <summary>
+        /// 担当者コード
+        /// </summary>
+        private int m_PersonCode = 0;
+
+        /// <summary>
+        /// 対象年月
+        /// </summary>
+        private DateTime m_ReportDate = DateTime.Now;
+
+        /// <summary>
+        /// アクセス制限フラグ
+        /// </summary>
+        private bool m_EditLock = false;
+
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 起動フラグ
+        /// </summary>
+        public int ExecuteFlg
+        {
+            get { return m_ExecuteFlg; }
+            set { m_ExecuteFlg = value; }
+        }
+
+        /// <summary>
+        /// 担当者番号
+        /// </summary>
+        public int PersonCode
+        {
+            get { return m_PersonCode; }
+            set { m_PersonCode = value; }
+        }
+
+        /// <summary>
+        /// 対象年月
+        /// </summary>
+        public DateTime ReportDate
+        {
+            get { return m_ReportDate; }
+            set { m_ReportDate = value; }
+        }
+
+        /// <summary>
+        /// アクセス制限フラグ
+        /// </summary>
+        public bool EditLock
+        {
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
+        }
+
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        public FrmPersonApprList()
+        {
+            InitializeComponent();
+        }
+        #endregion
+
+        #region フォームロード
+        /// <summary>
+        /// フォームロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmPersonApprovalList_Load(object sender, EventArgs e)
+        {
+            try
+            {
+                // 初期表示
+                InitDataLoad();
+
+                m_initDataLoad = false;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 終了ボタンクリック
+        /// <summary>
+        /// 終了ボタンクリック
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnEnd_Click(object sender, EventArgs e)
+        {
+            this.Close();
+        }
+        #endregion
+
+        #region ×ボタン
+        /// <summary>
+        /// ×ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmPersonApprovalList_FormClosing(object sender, FormClosingEventArgs e)
+        {
+            try
+            {
+                // 前プロセスに戻る
+                ClsExcute.BackProcess();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PersonApprovalList/FrmPersonAppListAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PersonApprovalList/FrmPersonAppListAuxiliary.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PersonApprovalList/FrmPersonAppListAuxiliary.cs	(revision 83)
@@ -0,0 +1,288 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Collections;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+using System.Windows.Forms;
+
+using log4net;
+using log4net.Appender;
+using log4net.Repository.Hierarchy;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.DB.Core;
+using ProcessManagement.Forms.Master;
+using ProcessManagement.Forms.SubForms;
+using ProcessManagement.Forms.ControlsAction;
+using ProcessManagement.Forms.CustomControls;
+
+namespace ProcessManagement.Forms.DataEntry
+{
+    partial class FrmPersonApprList
+    {
+        #region 初期時データ取得
+        /// <summary>
+        /// 初期時データ取得
+        /// </summary>
+        private void InitDataLoad()
+        {
+            try
+            {
+                DataGridView dgv = dgvApproval;
+
+                // 検索年度セット
+                SetActionMonthly();
+
+                // 処理名称表示
+                //lblProcessTitil.Text = ClsExcute.ProcessExecuteName[m_ExecuteFlg].Replace("－", "");
+
+                // グリッドの行を0に戻す
+                dgv.Rows.Clear();
+
+                // データ表示
+                DataDisplay();
+
+                // ソート状態
+                //if (ClsExcute.ProcControlPara[NowPoint].IntSaveParameter.Count > 4)
+                //{
+                //    // カラム取得
+                //    DataGridViewColumn wrksortcolumn = dgv.Columns[ClsExcute.ProcControlPara[NowPoint].IntSaveParameter[4]];
+                //    // ソートオーダー取得
+                //    ListSortDirection sortDirection = ((SortOrder)ClsExcute.ProcControlPara[NowPoint].IntSaveParameter[5]) == SortOrder.Ascending ?
+                //                                                        ListSortDirection.Ascending : ListSortDirection.Descending;
+                //    dgv.Sort(wrksortcolumn, sortDirection);
+                //}
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 対象年度のセット
+        /// <summary>
+        /// 対象年度のセット
+        /// </summary>
+        private void SetActionMonthly()
+        {
+            IOCostDataOfPerson CostDB = new IOCostDataOfPerson();
+            try
+            {
+                comboBox1.DataSource = null;
+
+                // 存在月を出勤データより取得する
+                string strSQL = "SELECT TO_CHAR(ATTENDANCEDATE,'YYYY/MM'), COUNT(*) FROM ATTENDANCEDAILYDATA GROUP BY TO_CHAR(ATTENDANCEDATE,'YYYY/MM') ORDER BY 1";
+                ArrayList arList = new ArrayList();
+                CostDB.ExecuteReader(strSQL, ref arList);
+
+                List<KeyValuePair<string, string>> DataList = new List<KeyValuePair<string, string>>();
+                foreach (object[] wrkobj in arList)
+                {
+                    KeyValuePair<string, string> keyval = new KeyValuePair<string, string>(wrkobj[0].ToString(), (wrkobj[0].ToString().Replace("/", "年") + "月"));
+                    DataList.Add(keyval);
+                }
+
+                // 当月を作成する
+                string ToMonth = string.Format("{0}/{1}", DateTime.Now.Year, DateTime.Now.Month.ToString("00"));
+                // 当月を追加するかの判断
+                if (arList.Count == 0 || !DataList[DataList.Count - 1].Key.Equals(ToMonth))
+                {
+                    KeyValuePair<string, string> keyval = new KeyValuePair<string, string>(ToMonth, (ToMonth.ToString().Replace("/", "年") + "月"));
+                    DataList.Add(keyval);
+                }
+                // 来月の追加判定(25日過ぎは来月の追加をする)
+                if (DateTime.Now.Day > 25)
+                {
+                    DateTime dtNext = DateTime.Now.AddMonths(1);
+                    string NextMonth = string.Format("{0}/{1}", dtNext.Year, dtNext.Month.ToString("00"));
+                    KeyValuePair<string, string> keyval = new KeyValuePair<string, string>(NextMonth, (NextMonth.ToString().Replace("/", "年") + "月"));
+                    DataList.Add(keyval);
+                }
+
+                ComboBoxAction.InitDataSetCombBox(comboBox1, DataList);
+                comboBox1.SelectedValue = ToMonth;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                CostDB.close(); CostDB = null;
+            }
+        }
+        #endregion
+
+        int comboBox1_index = -1;
+        #region 対象年月コンボボックス変更前取得
+        /// <summary>
+        /// 対象年月コンボボックス変更前取得
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void comboBox1_Enter(object sender, EventArgs e)
+        {
+            comboBox1_index = comboBox1.SelectedIndex;
+        }
+        #endregion
+
+        #region 対象年月コンボボックス変更
+        /// <summary>
+        /// 対象年月コンボボックス変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
+        {
+            if (m_initDataLoad) return;
+
+            // データ表示
+            DataDisplay();
+        }
+        #endregion
+
+        #region データ表示処理
+        /// <summary>
+        /// 一覧データ表示処理
+        /// </summary>
+        private void DataDisplay()
+        {
+            IOMPersonInCharge PersonDB = new IOMPersonInCharge();
+            try
+            {
+                foreach (DataGridViewColumn wrkCol in dgvApproval.Columns) wrkCol.SortMode = DataGridViewColumnSortMode.NotSortable;
+                dgvApproval.Rows.Clear();
+                string strSQL = "";
+                // SQL作成
+                CreateInitSQL(ref strSQL);
+                ArrayList arData = new ArrayList();
+                // 担当者マスタより取得
+                if (!PersonDB.ExecuteReader(strSQL, ref arData)) return;
+
+                // グリッドへセットとする
+                SetToGridData(arData);
+
+                // データが多くなればソートできる
+                if (21 < dgvApproval.RowCount)
+                {
+                    foreach (DataGridViewColumn wrkCol in dgvApproval.Columns)
+                        wrkCol.SortMode = DataGridViewColumnSortMode.Automatic;
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                PersonDB.close(); PersonDB = null;
+                if (21 > dgvApproval.RowCount) dgvApproval.RowCount += (21 - dgvApproval.RowCount);
+            }
+        }
+        #endregion
+
+        #region データ取得SQL作成
+        /// <summary>
+        /// 表示用データ取得SQL作成
+        /// </summary>
+        private void CreateInitSQL(ref string strSQL)
+        {
+            try
+            {
+                switch (m_ExecuteFlg)
+                {
+                    case (int)ClsExcute.ProcessExecuteNo.DRWork:
+                        // 出勤日報
+                        CreateSQL01(ref strSQL);
+                        break;
+                    //case (int)ClsExcute.ProcessExecuteNo.EstimateInput:
+                    //    // 積算見積書入力
+                    //    CreateSQL02(ref strSQL);
+                    //    break;
+                    //case (int)ClsExcute.ProcessExecuteNo.EstimatePrint:
+                    //    // 基本部セット
+                    //    // 積算見積書印刷
+                    //    CreateSQL03(ref strSQL);
+                    //    break;
+                    //case (int)ClsExcute.ProcessExecuteNo.EstimateBudget:
+                    //    // 基本部セット
+                    //    // 積算予算書入力
+                    //    CreateSQL04(ref strSQL);
+                    //    break;
+                    //case (int)ClsExcute.ProcessExecuteNo.ConstructionBudget:
+                    //    // 基本部セット
+                    //    // 工事予算書入力
+                    //    CreateSQL05(ref strSQL);
+                    //    break;
+                    //case (int)ClsExcute.ProcessExecuteNo.PurchaseOrderEntry:
+                    //    // 基本部セット
+                    //    // 注文書入力
+                    //    CreateSQL06(ref strSQL);
+                    //    break;
+                    //case (int)ClsExcute.ProcessExecuteNo.PurchaseOrderPrint:
+                    //    // 注文書印刷
+                    //    CreateSQL07(ref strSQL);
+                        //break;
+                    default:
+                        strSQL += " Where A.ConstructionCode = B.ConstructionCode";
+                        break;
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", ex.Message, strSQL);
+            }
+        }
+        #endregion
+
+        #region 出勤日報
+        /// <summary>
+        /// 出勤日報
+        /// </summary>
+        /// <param name="strSQL"></param>
+        private void CreateSQL01(ref string strSQL)
+        {
+            try
+            {
+                strSQL = "SELECT A.PERSONCODE, A.PERSONNAME, B.ATTENDANCEDATE, C.ATTENDANCEDATE FROM PERSONINCHARGEMASTER A";
+                strSQL += " LEFT JOIN ATTENDANCEDAILYDATA B ON B.PERSONCODE = A.PERSONCODE";
+                strSQL += " LEFT JOIN TRANCEPORTDAILYDATA C ON C.PERSONCODE = A.PERSONCODE";
+                strSQL += string.Format(" WHERE A.EMPLOYEECLASSFLG = {0} AND A.DELETEFLG = 0", (int)CommonDefine.EmployeeClassFlg.Regular);
+                strSQL += " ORDER BY A.DISPLAYORDER";
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", ex.Message, strSQL);
+            }
+        }
+        #endregion
+
+        #region グリッドデータ表示
+        /// <summary>
+        /// グリッドデータ表示
+        /// </summary>
+        /// <param name="arData"></param>
+        private void SetToGridData(ArrayList arData)
+        {
+            try
+            {
+                foreach(object[] objRec in arData)
+                {
+
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}", ex.Message);
+            }
+        }
+        #endregion
+    }
+}
